"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.options = exports.parsers = void 0;
const parser_html_1 = require("prettier/parser-html");
const organize_1 = require("./organize");
const presets_1 = require("./presets");
const htmlParser = parser_html_1.parsers.html;
exports.parsers = {
    html: Object.assign(Object.assign({}, htmlParser), { parse: (text, parsers, options) => transformNode(htmlParser.parse(text, parsers, options), options) }),
};
exports.options = {
    attributeGroups: {
        type: "string",
        category: "Global",
        array: true,
        description: "Provide an order to organize HTML attributes into groups.",
        default: [{ value: [] }],
    },
    attributeSort: {
        type: "string",
        category: "Global",
        description: "Sort HTML attribute grousp internally. ASC, DESC or NONE.",
    },
};
function transformNode(node, options) {
    var _a;
    const sort = options.attributeSort === "NONE" ? false : options.attributeSort;
    const groups = options.attributeGroups;
    if (node.attrs) {
        node.attrs = organize_1.miniorganize(node.attrs, {
            ignoreCase: true,
            presets: presets_1.presets,
            groups,
            sort,
            map: ({ name }) => name,
        }).flat;
    }
    (_a = node.children) === null || _a === void 0 ? void 0 : _a.forEach((child) => transformNode(child, options));
    return node;
}
//# sourceMappingURL=index.js.map