"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.presets = void 0;
const PRESET = {
    $CLASS: /^class$/,
    $ID: /^id$/,
    $NAME: /^name$/,
    $DATA: /^data-/,
    $SRC: /^src$/,
    $FOR: /^for$/,
    $TYPE: /^type$/,
    $HREF: /^href$/,
    $VALUE: /^value$/,
    $TITLE: /^title$/,
    $ALT: /^alt$/,
    $ROLE: /^role$/,
    $ARIA: /^aria-/,
    $ANGULAR_STRUCTURAL_DIRECTIVE: /^\*/,
    $ANGULAR_TWO_WAY_BINDING: /^\[\(/,
    $ANGULAR_INPUT: /^\[(?!\()/,
    $ANGULAR_OUTPUT: /^\(/,
};
const PRESET_GROUPS = {
    $ANGULAR: [
        PRESET.$CLASS,
        PRESET.$ID,
        PRESET.$ANGULAR_STRUCTURAL_DIRECTIVE,
        PRESET.$ANGULAR_TWO_WAY_BINDING,
        PRESET.$ANGULAR_INPUT,
        PRESET.$ANGULAR_OUTPUT,
    ],
    $CODE_GUIDE: [
        PRESET.$CLASS,
        PRESET.$ID,
        PRESET.$NAME,
        PRESET.$DATA,
        PRESET.$SRC,
        PRESET.$FOR,
        PRESET.$TYPE,
        PRESET.$HREF,
        PRESET.$VALUE,
        PRESET.$TITLE,
        PRESET.$ALT,
        PRESET.$ROLE,
        PRESET.$ARIA,
    ],
};
exports.presets = Object.assign(Object.assign({}, PRESET), PRESET_GROUPS);
//# sourceMappingURL=presets.js.map